using Microsoft.AspNetCore.Hosting;
using System.Collections.Generic;
using TelerikAspNetCoreApp619.Data.Models;
using TelerikAspNetCoreApp619.Data.Models.Employees;
using TelerikAspNetCoreApp619.Data.Models.Sales;

namespace TelerikAspNetCoreApp619.Data
{
    public interface IDataService
    {
        IWebHostEnvironment WebHostEnvironment { get; set; }

        ApplicationUser AddUser(ApplicationUser user);
        List<Employee> GetEmployees();
        IEnumerable<Sale> GetSales();
        List<Team> GetTeams();
        List<ApplicationUser> GetUsers();
    }
}